SeExpr

Public Member Functions | Public Attributes | List of all members
StringEditable Struct Reference

`#include <Editable.h>`

Inheritance diagram for StringEditable:

## Public Member Functions
| StringEditable (int startPos, int endPos, const std::string &val)
bool | parseComment (const std::string &comment)
| parses a comment. if false is returned then delete the control from the editable More...
void | appendString (std::stringstream &stream) const
std::string | str () const
virtual bool | controlsMatch (const Editable &other) const
Public Member Functions inherited from Editable
| Editable (const std::string &name, int startPos, int endPos)
void | updatePositions (const Editable &other)
virtual | ~Editable ()

## Public Attributes
std::string | v
std::string | type
Public Attributes inherited from Editable
std::string | name
int | startPos
int | endPos

## Detailed Description

Definition at line 134 of file Editable.h.

## Constructor & Destructor Documentation

## ◆ StringEditable()

StringEditable::StringEditable | ( | int | startPos,
|  | int | endPos,
|  | const std::string & | val
| ) |  |
| inline

Definition at line 137 of file Editable.h.

## Member Function Documentation

## ◆ appendString()

void StringEditable::appendString | ( | std::stringstream & | stream | ) | const
| inline virtual

Implements Editable.

Definition at line 151 of file Editable.h.

References v.

## ◆ controlsMatch()

virtual bool StringEditable::controlsMatch | ( | const Editable & | other | ) | const
| inline virtual

Implements Editable.

Definition at line 161 of file Editable.h.

References Editable::name, type, and v.

## ◆ parseComment()

bool StringEditable::parseComment | ( | const std::string & | comment | ) |
| inline virtual

parses a comment. if false is returned then delete the control from the editable

Implements Editable.

Definition at line 139 of file Editable.h.

References Editable::name, and type.

## ◆ str()

std::string StringEditable::str | ( |  | ) | const
| inline virtual

Reimplemented from Editable.

Definition at line 155 of file Editable.h.

References Editable::name, type, and v.

## Member Data Documentation

## ◆ type

std::string StringEditable::type

Definition at line 136 of file Editable.h.

Referenced by controlsMatch(), parseComment(), str(), and StringControl::StringControl().

## ◆ v

std::string StringEditable::v

Definition at line 135 of file Editable.h.

Referenced by appendString(), controlsMatch(), str(), StringControl::textChanged(), and StringControl::updateControl().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/Editable.h